API reference
Simulate a payment against a spending policy
POST
/v1/agent-payments/agents/{agentId}/policy-simulationsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/agents/{agentId}/policy-simulations" \ -H "Content-Type: application/json" \ -d '{ "origin": "http://example.com", "pay_to": "string", "network": "eip155:1", "asset_contract": "string", "amount_atomic": "string" }'{
"policy_version_id": "string",
"policy_version": 1,
"decision": "automatic",
"reasons": [
"string"
],
"origin_allowed": true,
"pay_to_allowed": true,
"network_and_asset_allowed": true,
"amount_within_limit": true,
"amount_within_automatic_threshold": true,
"required_approvals": 0
}Empty
How is this guide?
Last updated